#include "Engine/Globals.h"
#include <Engine/Level/Scene.h>
#include <rewindow/logger/logger.h>
#include "Game/Scene/Splash.h"

Scene* scene = nullptr;

using namespace JGL;

int main() {
    Globals::Window = new DemoGameWindow("Demo Game", 1024, 896);
    Globals::Window->SetRenderer(RenderingAPI::OPENGL);
    Globals::Window->Open();
    Globals::Window->InitGL();
    Globals::Window->SetResizable(false);
    Globals::Window->SetVsyncEnabled(false);
    ReWindow::Logger::Error.EnableConsole(false);
    ReWindow::Logger::Warning.EnableConsole(false);
    ReWindow::Logger::Debug.EnableConsole(false);

    auto* splash = new DemoGameSplash();
    Globals::ChangeScene(splash);

    while (Globals::Window->IsAlive())
        Globals::Window->ManagedRefresh();
}
