#include "Engine/GameWindow.h"
#include "Engine/Globals.h"
#include "Engine/Entity/Camera.h"
#include "JGL/JGL.h"


void DemoGameWindow::InitGL() {
    if (!JGL::Init(GetSize(), 0, 0))
        exit(-1);

    glClearColor(0.0f, 0.0f, 0.0f, 1.0f);
}

void DemoGameWindow::Display() {
    JGL::Update(GetSize());

    glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
    glMatrixMode(GL_MODELVIEW);
    glLoadIdentity();

    // These are checked separately so that if Update() changes the scene we don't crash.
    if (Globals::CurrentScene)
        Globals::CurrentScene->Update();
    if (Globals::CurrentScene)
        Globals::CurrentScene->Render();

    DemoGameWindow::GLSwapBuffers();
}

void DemoGameWindow::OnRefresh(float elapsed) {
    Display();
}
